Padvish

Padvish

Padvish is an Iranian antivirus that is competitive with conventional antiviruses that all stages of the design and implementation has been done by the internal team and has the ability to identify and deal with common malwares.

This product is backed by cloud networking technology and strong malware analysis team is able to detect the latest malwares in the shortest possible time.

"Amnpardaz Software" and "Padvish" are registered trademarks of Amnpardaz Software Company in Iran and/or other countries.

This product is designed and developed by Amnpardaz Software Company. All rights reserved.


Overview

Overview

This document provides you the followings:

Concepts and Definitions

Define main concepts and definitions.

User Interface

Describe the main user interface.

Software Installation

Explain installation and activation in detail.

Licensing

Give necessary information of licensing.

Third-Party Components

Describe third-party code.

Uninstalling the software

Describe uninstalling the software step by step.

System Scan

Describe types of scan, reports of scans and USB scan.

Real-time Cloud Scan

Describe the real-time cloud scan and its benefits.

Firewall Management

Describe the firewall and how to manage it.

Device Control

Describe how to control devices.

Updating

Describe how to update the software.

Stealth Mode

Describe how to activate stealth mode and its operation.

Virtual Keyboard

Describe how to activate virtual Keyboard and its advantages.

AntiCrypto (Related to Padvish Total Security)

Describe how to use Anticrypto.

Settings

Describe how to configure the software.

Technical Support

Contact support team.


Concepts and Definitions

Concepts and Definitions

Malware:

Malware, short for malicious software, is any software used to disrupt computer operation, gather sensitive information, or gain access to private computer systems. It can appear in the form of executable code, scripts, active content, and other software. Malware includes computer viruses, worms, Trojan horses, ransomware, spyware, adware, scare ware, and other malicious programs.

Threat:

Threat is any malware that is detected by Antivirus.

Suspicious file:

The file that Antivirus the malware file could not be considered conclusive, but it is likely to be malware.

Infected file:

The file is infected by a virus, and the virus code has been in.

Malware removal:

To erase all traces of malware that is created on the system.

Malware Quarantine:

Malware and Suspicious files identify and as long as they occur closer analysis, are kept in a safe place.

Software Activation:

Receive the activation code and enter it in order to activate the software program.

Activation Code:

Activation code or serial number that comes with the product provides users with in order to be licensed.

License:

Using the right software and support services is provided. Each license is defined by the type and its expiration date.

Signature:

It is a unique model of malware signature that antivirus by using that template detects the malware.

Updating:

Updating is matching the antivirus signature database version in the user system with the latest version of the existing signature database.

Virtual Keyboard:

Virtual keyboard can be used for additional protection during the data input on the banks and payment system websites. While using hardware keyboard there is a risk that personal information is intercepted using hardware keyboard interceptors, key loggers and hackers.

Real time Protection:

It is a service that protects the system and monitors all applications, and does not allow malware activation.

Padvish Central Console:

It is a console that manages Padvish.

Scan:

Scan is an operation by antivirus, checking the file being infected with malware or not.

Full Scan:

Full scan is scanning all files of system.

Real-time Cloud Scan

This technology allows Padvish to detect and neuter new viruses immediately after they become known in the cloud, even before the update cycle occurs on the machine. This will speed up the detection of new viruses and reduce the time between the emergence of a new virus, and update of antivirus.

Network:

Antivirus knows network changes due to the combination of three characteristic IP, Subnet Mask and Gateway. Thus, if either of these parameters will change the antivirus a new network.

Firewall:

It is a service in antivirus to protect all system monitors data communications network.

DataCop: (Related to Padvish Total Security)

DataCop constantly creates a backup of all your data and protects your data from corruption.

Stealth mode:

Stealth mode disables all alerts, and configures Padvish to have the least interface with heavy applications.

IPS:

It can recognize network attacks and protect it from penetrating.


User Interface

User Interface

We will explain Padvish antivirus user interface and all details.

· Home

· Protection

· Network

· Tools

· Reports

· Quick Access

· Messages

· Context Menu


Home

User Interface >

Home

Home

Provides frequently used items and contains the following components:

Status: to display general status of the application and information about device control, update status and scanner.

General status contains the following information:

· Protection status: reflects the presence or absence of any kinds of threats affecting the security level of the system as a whole. It also has colored icon indicator with three possible statuses. Green color means the computer is protected. Yellow color means minor issues need your attention and red color means there is a serious security threat on your computer.

· Real Time Protection: Indicates the protection status. You can enable or disable it.

· Firewall: Indicates the firewall status. You can enable or disable it.

· License: shows the expiration date. By clicking on the link, the License Management window will be opened.

· Alerts: If the real time protection in disabled, if the firewall is disabled or if you don't scan your computer until now, Padvish will alert you. If there are more problems a link will be shown and by clicking on it you can see other problems.

· Real Time Protection Diagram: Indicates the diagram of real time protection. By clicking on it the “Reports” tab will be opened and you can get more information about it.

· Update Status: Indicates the status of updating Padvish. By clicking on update button, the Tools tab will be opened and you can get more information about Update Status.

· Custom Scan: By clicking on it, you can choose your folder you want to scan.


Protection

User Interface >

Protection

Protection

In this section, you can see:

  • System Scan: You should regularly scan and clean your PC to keep it secure.
  • Update Status: Indicates the status of your computer's update. By clicking on the “update” button, the Tools tab will be opened and you can get more information about Update Status.
  • Padvish Cloud: By clicking on the “Cloud” button, the cloud information will be shown.
  • Real Time Protection: The Diagram of real time protection is shown in this box. For more information click on it.
  • Device Control: Indicates the number of devices that is allowed or blocked. By clicking on it the Device Control window on Protection tab will be opened.
  • Padvish AntiCrypto : By clicking on this In Padvish EndPoint Security, the Padvish site will be opened and you can see the Padvish AntiCrypto product. By clicking on this in Padvish Total Security the DataCop details window will be opened.
  • Quarantined Files : By clicking on this box, the list of quarantined files will be shown.


System Scan

System Scan

In this section, you can see types of scan and reports of them.

· On Demand Scan

· Real-time Cloud Scan

· USB device Scan

· Scan History


On Demand Scan

On Demand Scan

You should regularly scan and clean your PC to keep it secure. To begin scanning select a scan method:

· Full system scan: By clicking on this button, a full system scan will be started. You can see the details of scan in "Scan History" window.

· Quick scan: By clicking on "Start quick scan" button, a quick scan will be started. You can see the details of scan in "Scan History" window.

· Rootkit scan: By clicking on "Start rootkit scan" button, a rootkit scan will be started. You can see the details of scan in "Scan History" window.

· Running processes scan: By clicking on "Start running processes scan " button, running processes scan will be started. You can see the details of scan in "Scan History" window.

· Custom scan: Custom scan allows you to perform a scan to a specific folder. By clicking on "Start custom scan" a window will be opened that you can select your folders you want to scan. You can see the details of scan in "Scan History" window.

· It should be noted that some type of scans can be done at once.

· In this page, the number of running scans is shown in a link that you can click on it to enter the "Scan History" window.

· By clicking on "Scheduled Scan" the "Scheduled Scans Settings" window will be opened.


Real-time Cloud Scan

Real-time Cloud Scan

Real-time cloud scan works with other virus detection technologies such as heuristics and smart signature matching. The main advantage of real-time cloud scan is to speed up the detection of new and emerging viruses by the antivirus. This technology allows Padvish to detect and neuter new viruses immediately after they become known in the cloud, even before the update cycle occurs on your machine.

This will speed up the detection of new viruses and reduce the time between the emergence of a new virus, and update of your antivirus. Another benefit of real-time cloud scan is reducing the processing load on your computer, and offloading the work to the processing power of the powerful Padvish cloud network servers. This increase the efficiency of your system and at the same time reduces the size of the antivirus updates, minimizing the communication costs.

The scanning system is designed in such a way that the disconnection or slowness of the network connection will not have an adverse effect on the system performance. However, if your Internet connection is not stable and is interrupted during an active scan, Padvish may delay display the results for up to 15 seconds, in order to display more complete results.

To disable the real-time cloud scan, you can use the options in the Settings section. This adjustment is done separately for real time protection and scanner.


USB device Scan

USB device Scan

By connecting a USB device to the computer, a message displays as shown below to let an action to be taken by User.


Scan History

Scan History

After each type of scan, the result of them is shown in “Scan History” window. If there are two or more types of scans running, all of them are shown in this window.

The number of scanned file, the number of threats, and the number of cleaned files are shown for each type of finished scan.

If some threats are found in the scan, you can see the list of them and the log of scans by clicking on “Scan details”. In this window, a log of all threats and performed actions in this scan is displayed in a list. Padvish alerts you if there are threats that need your attention. By clicking on “details” the report window will be opened that you can make decision for threats.


Padvish Cloud

Padvish Cloud

By clicking on the “Cloud” button, the Padvish cloud information will be shown: such as the number of connected PCs on the Padvish cloud and the number of detected threats on your PC and on the padvish Cloud. And also Top Malwares will be shown in the bottom of the window.


Real Time Protection

Real Time Protection

Real time protection is designed to protect your computer from active threats. This system monitors all applications and blocks malwares before they execute.

In real time protection box, you can observe a diagram that contains:

· Files are being scanned at a time.

· Detected infections at a time.

By clicking on this box, the "Reports" window will be opened.


Device Control

Device Control

Device Control manages and monitors devices connected to your PC.

Select Device Control from its box, and you will have two options:

· Connected Devices

· Last Connected Devices


Connected Devices

Connected Devices

This table lists currently connected devices and their status:

· Device Type

· Device Name

· Device ID

· Bus Type

· Decision


Last Connected Devices

Last Connected Devices

In this section ypu can see a report of recent devices connected to your PC:

· Date

· Device Type

· Device Name

· Device ID

· Bus Type

· Decision

For more information about the settings, please read Device Control Settings.


Padvish AntiCrypto

Padvish AntiCrypto

In Padvish EndPoint Security, by clicking on this the Padvish site will be opened but in Padvish Total Security by clicking on this the DataCop Details window will be opened that you can see in this window the latest report of backing up. The information you can see are Drive name, Backup Status, File System, Backup Size, Maximum Backup Size, Drive Size and Last Error.

In this section, you can backup your data whenever you want. By clicking on "Backup All Drives Now" the process of backing up will be started. The status of backup that can be "Idle" and "Backing up" is shown in this window.

For more information about the settings, please read AntiCrypto Settings.


Quarantined Files

Quarantined Files

By clicking on this section, list of quarantined files will be opened and you can manage quarantine files in it.

The top part of the window provides information about objects potentially infected with viruses in Quarantine. By selecting each one you can delete files from Quarantine. Restore files to the original folders in which they were located before being moved to Quarantine. Restore files to your selected destination by choosing "Restore to...". You can also add new file to Quarantine by clicking “Move to quarantine” button and click Refresh button to refresh quarantine information.

For more information, read Quarantine Settings.


Network

User Interface >

Network

Network

In this section, you can see:

  • Network profile
  • Network Connections

  • Firewall Reports: It shows that how many connections are blocked by firewall. By clicking on this, the reports page will be opened.
  • Network Traffic Diagram: Shows the number of sent and received bytes per second.

· For more information, read network settings .


Select Network Profile

Select Network Profile

By connecting to a new network, a message displays immediately to let you select the network profile. As a default you have three options: Home, Office and Public. Read “Firewall settings” for more information.


Connections

Connections

In the network profile section the number of applications that are connected to the network is shown, by clicking on its link the "connections" window will be opened.

The table lists all active connections on your computer, grouped by applications. Each connection contains:

· Connections: to show IP:PORT info

· Sent Bytes: to show the size of sent data

· Received Bytes: to show the size of received data

· Protocol: to show communication protocol

By clicking on each connection you can view Application path, Application name, Copyright and version of the application.


Tools

User Interface >

Tools

Tools

In this section, you can see:

· Update Padvish

· Help

· Stealth Mode

· Virtual Keyboard

· Quarantined Files

· Live CD

· Settings


Update

Update

To ensure maximum protection of your computer, Padvish must be updated regularly. You can check signature database date and last update result in this page, and manually request update if desired.

By clicking on “update now” link, the update process will start and it may take some time and you need to let it proceed till the end. Click View Log for more information.

For more information about its settings, read Update settings.


Stealth Mode

Stealth Mode

Stealth Mode disables all alerts, and configures Padvish to have the least interface with heavy applications.


Virtual Keyboard

Virtual keyboard

Padvish Virtual keyboard can be used for additional protection during the data input on the banks and payment system websites. While using hardware keyboard there is a risk that personal information is intercepted using hardware keyboard interceptors, key loggers and hackers.


Live CD

Live CD

By clicking on "Live CD" the Padvish site will be opened.

Having an installed antivirus on the system is helpful in preventing the Malware attacks and provides cleaning a system that is already contaminated to some extent ible. But some of the worst types of malwares like Rootkits can destroy the possibility of being cleaned up from the operating system and it is impossible to clean the system as long as the malware is running. In such circumstances Padvish rescue disk is suggested. Since Padvish rescue disk runs without running the operating system and without activating the malware, it can detect any contamination of the operating system from the outside without any interference of the malware, and remove it from the system. Padvish rescue disk also is a set of security tools to remove viruses and malwares that are capable of being boot and run from a CD, USB and other electronic devices.


Reports

User Interface >

Reports

Reports

In this section you can see the reports of real time protection, device control and firewall.

· Real Time Protection Reports

You can see real time protection reports and diagram. In this diagram you can see:

· Files are being scanned at a time.

· Detected infections at a time.

First category is blue and second one is yellow.

By clicking on detailed reports the “Reports” window will be opened. You can see these reports on it:

· Scans

· Threats

· System

· Firewall

· Device Control

· AntiCrypto (Related to Padvish Total Security)

· IPS

· Volumes

By selecting each tab you can view related information. Click the “Refresh” button to refresh information of each tab and the “Export” button to save the reports.

Read Report Settings for more information.


Scans

Scans Report

Scans tab: displays a list including the number of scans and related report. Each report contains:

· Creator

· Start Scan

· Scan Finished

· Scan Result

· Files Scanned

· Infected Files

· Console User


Threats

Threats Report

Threats tab: displays a list including the number of threats and related report. Each report contains:

· Date

· Threat Name

· Action

· File Name

· File Path: to show the path of detected malware

· App User

· Application Path

· Volume ID

· Console User


System

System Report

System tab: displays System's details and related report. Each report contains:

· Date: to show date of the activity

· Username: to show the username who has done the activity

· Action: to show type of action

· Details: to show more info about activities

· Result: to show the result of activity

· Console User


Firewall

Firewall Report

Firewall tab: displays a list of network events and traffics. Each report contains:

· Date: to show the date of network event

· Application Name: to show the name of applications receive or ask a communication from/to outside.

· Local Port: to show local IP and port number of the event.

· Remote Address: to show public IP and port number of the event.

· Protocol: to show the protocol of the event

· Direction: to show the direction of the event’s traffic, from inside to outside and vice versa.

· Decision: to show the decision made for the event

· App User

· Console User


Device Control

Device Control Report

Device Control: displays a list of events that describes connected devices to the computer with applied rules. It also delivers a report for each device and each report contains:

· Date: to show the date of the event

· Device Type

· Device Name

· Device ID

· Bus Type

· Decision: to show the decision made for the connected device

· Console User


AntiCrypto

AntiCrypto Report (Related to Padvish Total Security)

AntiCrypto tab: displays Anticrypto's details and related report. Each report contains:

· Date

· Event

· Application

· Pid

· Target

· Target Type

· App User

· Console User


IPS

IPS Report

IPS: delivers reports of IPS and detection including:

· Date: to show the date of attack

· Detection: to show type of attack

· Local Port: to show local IP and port number that attacker used.

· Remote address: to show public IP and port number that attacker used.

· Protocol: to show the protocol of the event

· Direction: to show the direction of the event. From inside to outside or vice versa.

· Decision: to show the decision made for the event

· Console User


Volumes

Volumes Report

Volumes: delivers reports of Volumes that is connected to system.

· Date

· Path

· Action

· Device Type

· App User

· Volume Label

· Removable Type

· File System

· Total Volume Size

· Used Volume Size

· Device ID

· Device Name

· Console User


Quick Access

User Interface >

Quick Access

Quick Access

Quick access is contains:

· Help: to view the help system

· Support: to open a link to Amnpardaz support page

· License management: to open license management window.

· Settings: to open the application settings window

· Change Language: to change the language of software

· Virtual Keyboard : to use virtual keyboard


Messages

User Interface >

Messages

Messages

Messages contain:

· Main Messages

· Popup Messages


Main Massages

Main Messages

You will observe the message as shown below in case of any security reason.

To fix these errors use the links. By clicking on “more issues” you can fix other problems.


Popup Messages

Popup messages

Important notices are reported via pop-up messages. The information messages are only for inform you, and there is no choice and decision.


Context Menu

User Interface >

Context Menu

Context Menu

Right click on notification area icon. It is contains of:

· Show main window

· Update now

· Stop/Start real time protection

· Start/Stop Stealth mode

· Stop/Start Firewall

· Quick Scan

· Send file for analysis

· Settings

· About Padvish


Software Installation and Activation

Software Installation and Activation

This section contains:

· Software Installation

· Software Activation

· License Management

· Reactivation on a new computer


Software Installation

Software Installation and Activation >

Software Installation

Software Installation

This section contains:

· Installation Notes

· System Requirements

· License Agreement

· Installation Folder

· Installing Application

· Finish Installation


Installation Notes

Installation Notes

  1. Make sure there is no other antivirus software on your system.
  2. Make sure that your computer meets the least requirements for Device Control. Please check System requirements.
  3. Minimum resolution to run this program in your system is 1024*768 pixel.
  4. Make sure you have serial code to activate the software. If you want to use Padvish Total Security you must put its license.
  5. Padvish antivirus uses ports 80 (HTTP) and 443 (HTTPS) for connections to company servers, and port 13911 for connections to amnpardaz server in your network.
  6. If you have a firewall in your network, make sure it does not block above connections.


System Requirements

System Requirements

System requirements

Operating systems | RAM | Hard disk
Microsoft Windows XP, SP3 (32 bit) Microsoft Windows Vista, SP2 (32/64 bit) Microsoft Windows 7 (32 bit) Microsoft Windows 8 (32 bit) Microsoft Windows 8.1 (32 bit) | 1GB | 1GB
Microsoft Windows 7 (64 bit) Microsoft Windows 8 (64 bit) Microsoft Windows 8.1 (64 bit) Microsoft Windows 10 (32 bit) Microsoft Windows 10 (64 bit) Microsoft Windows Server 2003 SP2 (32/64 bit) Microsoft Windows Server 2008 SP2 (32/64 bit) Microsoft Windows Server 2008 R2 (64 bit) Microsoft Windows Server 2012 R2 (64 bit) Microsoft Windows Server 2012 (64 bit) Microsoft Windows Server 2016 (32/64 bit) | 2GB


License Agreement

License Agreement

Read license agreement and select the check box to continue. If you do not accept the agreement, cancel the installation.


License Agreement

License Agreement

This is a license agreement between you (hereinafter the customer) and Amnpardaz Soft Company (hereinafter the company) that describes your rights to use the Padvish antivirus software (hereinafter the software). Please carefully read the following legal agreement before using the software.

By accepting this agreement or using the software, you consent to be bound by and comply with the terms and conditions of this agreement. Such action is a symbol of your signature and you are consenting to be bound by and are becoming a party to this agreement and agree that this agreement is enforceable like any written negotiated agreement signed by you. If you do not agree to all of the terms and conditions of this agreement, cancel the installation and do not use the software.

Definitions

· Software means software product including updates, documents, logos and any other related materials.

· Computer(s) means hardware, including personal computers, laptops, workstations, or other electronic devices for which the software was designed where the software will be installed and/or used.

· Company means (as the owner of all rights to the software including patents and other rights) Amnpardaz Soft Company, according to the laws and regulations of the Islamic Republic of Iran.

· Customer means natural person or legal entity that is the recipient of the software for personal or organizational use.

· End User means individual(s) installing or using the software on their own behalf or who are legally using a copy of the software.

· License is a legal instrument governing the use of the software on a specified number of computers and defined by date and types.

· Activation means entering the serial number in order to activate the software. Activation is possible as online and offline. In addition to serial number, license key file provided by the company and necessary in offline activation method.

· Serial Number means a unique code or number provided with the software for the purpose of activation.

· Single user edition means a version provided to use on a single computer.

· Update means updates of malware definitions.

· Upgrade is the process of replacing the software with a newer version of the same software.

Intellectual Property Ownership

· The company owns all intellectual property and other rights to the software including ideas, methods of operation, documentation and other information. You will not obtain any rights in the software as a result of installing and using. You have no rights other than those expressly set forth in this agreement.

· You have no right to modify or alter the software in any way. You shall not remove or alter any copyright notices or other proprietary notices on any copies of the software.

General Provisions

· Any updates and upgrades that you may receive becomes part of the software and the terms and conditions of this agreement applies to them.

· In the event of any breach by you of any of the terms and conditions of this agreement, the company shall at any time without notice be entitled to terminate the license to use the software without refunding the purchase price or any part thereof.

· You agree that in using the software and in using any report or information derived as a result of using this software, you will comply with all applicable international, national laws and regulations, including, but not limited to, intellectual property, confidentiality and ethics.

· You have no rights other than those expressly set forth in this agreement and you shall not assign your rights arising from the present agreement to any other individual(s).

· The company reserves the right to use any means and verification procedures to verify the validity of the License and/or legality of a copy of the software installed and/or used on your computer.

· The software can transmit the company license information needed to verify the legitimacy of the software use. If the check cannot be performed for a certain period of time specified in the User Manual, the software will work with limited functionality.

· You agree that keep confidentiality of your password and user account information and that it is your sole responsibility. In case of losing password or unauthorized access to your account, notify the company immediately.

· You have the right to make a copy of the software solely for backup purposes and only to replace the legally owned copy if such copy is lost, destroyed or becomes unusable. This backup copy cannot be used for other purposes and must be destroyed when you lose the right to use the software or when your license expires or is terminated for any other reason according to the legislation in force in the country of your principal residence or in the country where you are using the Software.

License and Activation

You are given a non-exclusive license to store, load, install, execute, display, and use the software on a specified number of computers, according to all technical requirements described in the User Manual and according to the terms and conditions of this agreement. You agree:

· If you receive, download and/or install a trial version of the software, you shall use the software only for evaluation purposes. Any use of the software for other purposes or beyond the applicable evaluation period is strictly prohibited.

· You will receive the software via internet or a physical medium.

· The software installation is limited to the number of computers specified in licenses you have obtained from the company.

· If you modify your computer or make changes to other vendors’ software installed on it, you may be required by the company to repeat activation of the software or license key file installation.

· If the software was acquired on a physical medium, software can be used upon your acceptance of this agreement, for the period that is specified on the package.

· If the software was acquired via the internet, software can be used upon your acceptance of this agreement, for the period that was specified during acquisition.

· If the software was acquired on a physical medium intended for prolongation of the right to use previously acquired software, you can repeat activation of the software only if the activation code for previously acquired software is available. In the absence of this activation code, the period of effective use of the software will be limited according to the information specified on the software package.

· If you have acquired software that is intended to be used on more than one computer then your license is limited to the period of time starting on the first computer.

· If you purchase the software from other than the company and/or its partners, the company and/or its partners reserve the right to limit the activation.

Limitations and obligations

· You shall not emulate, clone, rent, lend, lease, sell, modify, decompile, or reverse-engineer the software or disassemble or create derivative works based on the software, and you shall not otherwise reduce any part of the software to human-readable form or transfer the licensed software, or any subset of the licensed software, except to the extent the foregoing restriction is strictly prohibited. Neither the software’s binary code nor source may be used or reverse-engineered to re-create the program algorithm, which is proprietary.

· If you fail to comply with any terms of this agreement, the company has the right to cancel the key license of the software sold and receive monetary damages from you.

· You shall not rent, lease or lend the software or the right of use of the software to any person or any third party.

· You shall not rent, lease or lend the serial number to any person or any third party.

· The company has the right to block the license to use the Software in the event you breach any of the terms and conditions of this agreement.

· You have no rights to use the software other than those expressly set forth in User Manual.

Information Collection

In order to protect your computer from online threats, to spot suspicious trends and to analyze possible threats the company is expressly entitled to receive some information from your computer. The company treats the data and processes as confidential information; it is accordingly subject to security procedures and corporate policies regarding protection and use of confidential information. It is including as follow:

· Information and data about hardware and operating system, including version and service pack information, CPU and memory status, drivers, services, explorer add-ins, printers, installed and auto-run programs.

· Information and data about Padvish antivirus activities including suspicious files, date, path, size, hash of files, types of access, header information of PE files and version of the file.

· Information and data about running programs including date, path, name, size, header information of PE and version of the file.

· Complete information of threatening files.

If you do not wish for the information collected by the software to be sent to the company, you should not activate the service.

Limited Warranty and Disclaimer

· Company guarantees that the software will substantially perform according to the specifications and descriptions set forth in the User Manual provided however that such limited warranty shall not apply to the following: (a) Your computer’s deficiencies and related infringement; (b) malfunctions, defects, or failures resulting from misuse; abuse; accident; neglect; improper installation, operation or maintenance; theft; vandalism; natural disasters; acts of terrorism; power failures or surges; casualty; alteration, non-permitted modification, or repairs by any party other than the company; (c) incompatibility caused by hardware and/or software components installed on your computer.

· You accept and agree that no software is error-free and you are advised to backup your computer frequently.

· The company does not guarantee that the software works correctly in case of violations of the terms described in the User Manual or in this agreement.

· The company does not guarantee that the software works correctly if you do not regularly download updates and upgrades specified in this agreement.

· The company does not guarantee protection from the threats described in the User Manual after the expiration of the period specified in this agreement or after the license to use the software is terminated for any reason.

· You acknowledge that the software will be provisioned with the company’s standard settings applied by default and that it is your sole responsibility to configure the software to satisfy your own requirements.

· The software is provided "as is" and the company makes no representation and gives no warranty as to its use or performance. Except for any warranty, condition, representation or term the extent to which cannot be excluded or limited by applicable law.

· The company makes no warranty, condition, representation, or term (expressed or implied, whether by statute, common law, custom, usage or otherwise) as to any matter including, without limitation, non-infringement of third-party rights, merchantability, satisfactory quality, integration, or applicability for a particular purpose. You assume all faults, and the entire risk as to performance and responsibility for selecting the software to achieve your intended results, and for the installation of, use of, and results obtained from the software.

· The company makes no representation and gives no warranty that the software will be error-free or free from interruptions or other failures or that the software will meet any or all of your requirements whether or not disclosed to the company.

Exclusion and Limitation of Liability

To the maximum extent permitted by applicable law, in no event shall the company or its partners be liable for any special, incidental, punitive, indirect, or consequential damages whatsoever (including, but not limited to, damages for loss of profits or confidential or other information, for business interruption, for loss of privacy, for corruption, damage and loss of data or programs, for failure to meet any duty including any statutory duty, duty of good faith or duty of reasonable care, for negligence, for economic loss, and for any other pecuniary or other loss whatsoever) arising out of or in any way related to the use of or inability to use the software, the provision of or failure to provide support or other services, information, software, and related content through the software or otherwise arising out of the use of the software, or otherwise under or in connection with any provision of this agreement, or arising out of any breach of contract or any tort (including negligence, misrepresentation, any strict liability obligation or duty), or any breach of statutory duty, or any breach of warranty of the Company or any of its partners, even if the company or any partner has been advised of the possibility of such damages.

You agree that in the event the company and/or its partners are found liable, the liability of the company and/or its partners shall be limited by the costs of the software. In no case shall the liability of the company and/or its partners exceed the fees paid for the software to the company or the partner (as may be applicable).

Governing Law and Jurisdiction

The present agreement is governed by the Islamic Republic of Iran. In case any of the clauses of the present agreement will be declared void, the other clauses won’t be affected and will continue to be valid and applicable within the limits of the Islamic Republic of Iran. Any dispute related to this agreement shall be finally settled by the Law for the protection of Rights of the Authors of Computer Programs passed on 2000 and the place of jurisdiction is Tehran, Iran.

Entire Agreement; Severability; No Waiver

This agreement is the entire agreement between you and company and supersedes any other prior agreements, proposals, communications or advertising, oral or written, with respect to the software or to the subject matter of this agreement. You acknowledge that you have read this agreement, understand it and agree to be bound by its terms. If any provision of this agreement is found by a court of competent jurisdiction to be invalid, void, or unenforceable for any reason, in whole or in part, such provision will be more narrowly construed so that it becomes legal and enforceable, and the entire agreement will not fail on account thereof and the balance of the agreement will continue in full force and effect to the maximum extent permitted by law or equity while preserving, to the fullest extent possible, its original intent. No waiver of any provision or condition herein shall be valid unless in writing and signed by you and an authorized representative of company provided that no waiver of any breach of any provisions of this agreement will constitute a waiver of any prior, concurrent or subsequent breach. The Company’s failure to insist upon or enforce strict performance of any provision of this agreement or any right shall not be construed as a waiver of any such provision or right.

Technical Support

From the time of the software activation or after license key file installation (with the exception of a trial version of the software) you have the right to receive the following services for the defined period specified on the software package (if the software was acquired on a physical medium) or specified during acquisition (if the software was acquired via the internet):

· The software update from the internet will be available when the company releases it on its website or other online service. Any update is as part of the software and considered to be included in general terms and conditions stated in this agreement.

· Technical support via the internet or telephone. Based on this agreement, when you install the software, technical support is available via email: support@amnpardaz.com

· If you are using the trial or free version of the software you do not have the right to receive the technical support. You do not have the right to transfer the license or the rights to use the software to any third party.

Purchase Cancellation

· Purchase cancellation allows you to cancel the purchase within 3 days after purchase of the software. In this case, after the return of the purchased license to the company and in accordance with the procedure of deactivation of the license, the company refunds only the cost of the software. You may ask your request based on that which is specified by the company. In this case, the company checks your request and after reviewing and processing the request by sales manager, the software cost is returned to you.

· The duration of the refunds according to the conditions and legal requirements cannot be determined by the company and it will be approximate. However the company tries to support customer's request in the best way.

· You agree to provide evidence of the required documentation for reimbursement. In case of refusal to deliver the requested documents to the company, the company is not responsible for delay or failure of refunds.

Contact Us

You can reach us at any one of the following ways:

· <http://www.padvish.com/>

· support@amnpardaz.com <mailto:support@amnpardaz.com>

· <http://forum.amnpardaz.com/>

Copyright Amnpardaz Soft. Company, All Rights Reserved. The software and any accompanying documentation are copyrighted and protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.


Installaton Folder

Installation Folder

In this step you can choose the installation folder. You can change the default installation folder by clicking “Browse” then choosing a new folder. Since access to the destination folder will be blocked at the end of installation, it is recommended not to choose other vendors’ folder. You can also check your hard drive’s free and available space as shown below. When you’re done, click “Install”.


Installing Application

Installing Application

After you click “Install”, installing files will take some time.

Finally, click “Finish” to end installation.


Finish Installation

Finish Installation

In some cases you may receive a message box that asks you to restart the computer after installation.


Software Activation

Software Installation and Activation >

Software Activation

Software Activation

The type of software (Padvish Total security or Padvish EndPoint Security) is determined due to the serial number you have. If you want to use Padvish Total Security you must use its own license.

For activate your software, click “Activate”.

Then you can choose your activation method:

· Automatic Online Activation

· Manual Offline Activation

· Managed Activation using Padvish Management Server


Automatic Online Activation

Automatic Online Activation

If you have internet access, you can use online activation.

  • First, you must select online method.

  • Then, you must enter your serial number. (To use Padvish EnPoint Security or Padvish Total Security, put its specific license.)

· By clicking “Finish”, activation is done.


Manual Offline Activation

Manual Offline Activation

If you don’t have internet access, you can use this method for activation.

· Select offline activation.

· Enter your serial number. Then click “Save Activation Request” button.

· Choose a destination folder and save the file on your computer.

· Send this file to Amnpardaz Soft. Company to receive activation code later.

· Then click “Insert Activation Key” and enter the file you received. Activation is done.


Managed Activation using Padvish Management Server

Managed Activation using Padvish Management Server

If you use under server version, you must use this method for activation.

Choose the method, click “Next” and enter your Server Address, User Name and Password. Activation is done.


License Management

Software Installation and Activation >

License Management

License Management

In this section, you can see:

  • About the license
  • About Activation Code
  • License Information


About the license

About The License

A license is a time-limited right to use the application, granted under the End User License Agreement. The license is related to the unique code that you have for activating your application.


About Activation Code

About Activation Code

An activation code is a code that you receive when you purchase product. This code is required for activation of the application.

The activation code is a unique sequence of twenty digits and Latin letters in the format xxxxx-xxxxx-xxxxx-xxxxx.


License Information

License Information

To see the license information, click “License Management” in quick access. You can see Serial Number, System Signature, Reserve Licenses and License Expiration Date in this window.

By clicking on serial number, you can see more information about your license.


Reactivation on a new computer

Software Installation and Activation >

Reactivation on a new computer

Reactivation on a new computer

If you intend to replace or modify the windows computer and want to install your software on new computer, you do not have to buy new serial and it will possible by disabling. To do this you must do the following steps:

  1. On first computer - the Padvish installed and enabled – run Padvish Software.
  2. Go to the License Management. Here is a link to see your serial number. (If you do not have your serial number anywhere, note it.)
  3. Click on the link of the serial number. Another page opens that displays the serial or series.

  4. Select the serial that you want to transfer and click the "Delete" button.

  5. Note that Internet connection must be established. When communicating with the servers is done, your serial will be deactivated and removed.
  6. Now you can use this serial number to activate Padvish on second computer.


Settings

Settings

In the Settings window you can edit settings for the following components:

· Protection

· Network

· Alerts and Reports

· Advanced

If the application is being managed by administration server, you can manage all settings from central console and client has no access to the Settings.

“Reset this page”: You can use this option to reset all changes to default settings. If the application is being managed by administration server, you can manage all settings from central console.


Protection Settings

Settings >

Protection Settings

Protection Settings

  • Real time protection
  • On Demand scanner
  • Device Control
  • Exceptions
  • Update Settings
  • AntiCrypto (Related to Padvish Total Security)
  • Scheduled Scans
  • Quarantine Settings


Real Time Protection

Real Time Protection

Padvish continuously monitors your computer and protects you against threats. You can configure real time protection in this section.

· Enable/disable real time protection

You can enable or disable the real time protection here. By Clicking on "Advanced settings" you can adjust more settings:

· Real-time Cloud Scan

By selecting this button, you can activate real-time cloud scan engine on real time protection.

  • Heuristic engine sensivity

Selecting Heuristic, you can activate and increase the level of Guard task to detect unknown viruses in your system that has not yet been identified. Highest level means unknown threat detection rate is high but scan processes are resource-intensive. Lowest level means scan process resource consumption is low.

· Advanced settings

Selecting “Enable USB malware protection (UMP)”, will stop executable files and you will receive a popup message. In order to execute the file, first you need to copy the file to hard disk. Otherwise deselect this option.

In this section you can enable stealth mode.

· File selection

In order to protect any specific file type by the real time protection, you have two options: intelligent selection or file extensions selection.

· Default Actions

Certain threats: Real time protection allows you to select two options with two priorities against certain threats and also let you send a copy to Quarantine.

Suspicious File: decision on suspicious detected threats will be done automatically with two priorities or by asking the user.


On Demand Scanner

On demand scanner

You can request a scan of your computer at any time. This section allows you to configure Padvish’s actions in on demand scans.

You can configure the Scan settings here and it contains:

  • Real-time Cloud Scan

By selecting this button, you can enable real-time cloud scan engine on scanner.

· Heuristic engine sensivity

Selecting Heuristic, you can activate and increase the level of scan task to detect unknown viruses in your system that has not yet been identified. Highest level means unknown threat detection rate is high but scan processes are resource-intensive. Lowest level means Scan resource consumption is low

· File selection

In order to protect any specific file type by the scan tasks, you have three options: scan all files, intelligent selection or file extensions selection.

· Archive Scan

Selecting this option you can allow Padvish to scan compressed files specially those which are packed many times.

· Default action

Certain threats: Scanner allows you to select two options with two priorities against certain threats and also let you send a copy to Quarantine.

Suspicious files: decision on suspicious detected threats will be done automatically with two priorities or by asking the user.


Device Control

Device control

Padvish can monitor and block untrusted devices that are connected to your computer.

You can configure the Device control settings here:

· Enable/disable the Device control

You can enable or disable device control here. By clicking on “Change Rules” the device control settings window will be opened.

In this window you can set the rules for these devices:

· USB disk

· CD/DVD

· Portable devices

· Floppy drive

· USB Network & Modem

· Bluetooth Devices

For more information about the settings, read “set the rules of devices”.

· Enable/disable Volume Logs

You can enable or disable logs all volume mount and unmount.

For more information about the Volume Logs, read “The Volume Logs Settings”.


Set the rules of devices

Set the rules of devices

For each device, in its own section, you can specify your desired rule. These rules include: “Allow”, “Only trusted devices”, “Block all”, “Only trusted devices writable” and “Advanced rules”.

· Allow: With this option, access to the trusted devices is permitted.

· Only trusted devices: With this rule, access only to trusted devices will be allowed.

· Block all: All of accesses will be denied.

· Only trusted devices writable: With this rule, you can read from all devices but you can write only in trusted devices.

· Advanced rules: By this option, you can set advanced rules.

· Set trusted devices:

In front of each device, the number of trusted devices that is set for it is shown. By clicking on it, you can see the list of trusted devices and you can add or delete any other devices.

· Add trusted devices: By clicking on “Add” button, you can add a trusted device. For this, select a connected device from the list to add to trusted devices.

· Delete a trusted device: By selecting a device from the list and click the “delete” button, the device will be removed from the trusted devices.

· Advanced rules: By selecting “advanced rules”, the number of devices that is set by advanced rules is shown. By clicking on the link you can set the rules:

You can observe rules in Central Panel. Each rule defines Name and decision of the device. Also the number of trusted devices is shown at the top of the window that you can see the trusted devices by clicking on it and change them. You can also add, edit and delete rules here.

Add a new rule: To add a new rule, click on the “Add” button and fill the information about it:

· Name: put a name for the device.

· Device Name: to specify the name of the device and contains “Any”, “Exactly” and “Containing”.

· Device ID: to specify the ID of device.

· Decision: to specify a decision to apply.

After setting the rules, you can edit or delete them, and also you can change the order of priority. For this, you can see “Change Advanced Device Rules”.


Change Advanced Device Rules

Change Advanced Device rules

· Edit rule: In order to edit a rule, click “edit” button.

· Delete rule: In order to delete a rule, click “delete” button.

· Change priority: In order to change the priority of rules, you can use “Up” or “Down” button.


Set the volume logs

Set the Volume Logs

In the device control settings, you can set the volume logs.

· By default, logs all volume mount and unmount.

· Logs all volume mount and unmount, and all writes to external volume. This can cause system to behave slowly when using exteral storage.

· Logs all volume mount and unmount, and all reads and writes to external volume. This can cause system to behave slowly when using exteral storage.


Exceptions

Exceptions

You can select a threat to be ignored by Padvish. This section allows you to configure such exceptions.

In this list you can see the type of exceptions. And also you can see that each of them use in scanner or in real time protection.

You can edit or delete exceptions in the list.

To create new exception, click on “Add” button. You can create exceptions by Content, by path and by malware name.

· Exception By File Content:

You can select exception use in scanner, or in real time protection or in both of them.

You can enter the name and description of the exception, and then select the file path.

Attention: Selected file will be ignored even if found in any other path.

· Exception By Path:

You can select exception use in scanner, or in real time protection or in both of them.

You can enter the name and description of the exception, and then select folder and file. In the path there are some placeholders, you can use these placeholders in the path.

· Exception by malware name:

You can select exception use in scanner, or in real time protection or in both of them.

You can enter the name and description of the exception, and then enter the name of malware. You can use * and ? wildcards in malware name.


Update

Update

In order to receive Update, you can configure settings as shown below.

By selecting “Automatically update” you can specify a period to receive updates automatically

· Update Sources

You have two options for update sources: “Local path” and “Network path”. In the list of update sources you can edit or delete sources and change the priority of them.

· Add local path: you should put a name and select a path for updating by local path.

· Add network path: you must enter name, Domain of network, username and password and then path of the network.

· Update Period

You can select a time that if database is older than it, Padvish warns you.


AntiCrypto

AntiCrypto Settings (Related to Padvish Total Security)

AntiCrypto protects your data from unauthorized tampering. By clicking on “Advanced Rules” you can cofigure the settings.

  • DataCop Settings
  • Tamper Protection Settings


DataCop Settings

DataCop Settings (Related to Padvish Total Security)

DataCop constantly creates a backup of all your data and protects your data from corruption. Even if a malware succeeds in corrupting your data, you'll have a recent protected backup. In addition you can recover previous versions of your files.

  • Enable/disable DataCop

You can enable or disable datacop here.

· Set schedule to backup your data

You can set the schedule to backup your data. If you select "When I Choose" the custom schedule will be activated.

· Custom schedule: You can specify two times for backup: main backup and secondary backup.

· Backup Storage

Selecting “Automatically manage space usage in each drive ”. By default, software manages the storage automatically. Otherwise, you can specify at least space reserved for backups any drive percental.

· Exceptions: In this section you can except your program or drive to protect DataCop.

Application Exceptions: If you want DataCop to allow an applications to access backups, you can add the application to the list of exceptions. By using "Add" you can select your application. Yo can also delete an application from the list.

Drive Exceptions: If you want DataCop to allow a drive to access backups, you can add the application to the list of exceptions. By using "Add" you can select the drive. Yo can also delete a drive from the list.

By selecting the "View Managed Exceptions" you can see the exceptions set on server.


Tamper Protection Settings

Tamper Protection Settings (Related to Padvish Total Security)

AntiCrypto can protect against inappropriat changes in document contents. This protection covers any change in the nature of the documents such as content wipe or encryption.

  • Determine the level of protection, the protection level can be set in three modes:
    • Off: Completely disable all AntiCrypto protection.
    • Basic: Protects against massive changes to your data. This mode only alerts you when multiple attempts to corrupt your data are detected. This reduces the possiblity of false alerts, but some files may be damaged before the alert is displayed.
    • Recommended: Protects against any destructive changes to your data. This mode alerts you immediately when an attempt to corrupt your data is detected. Some applications may cause false alerts to be displayed.
  • Application Exceptions: If tamper protection interferes with normal operation of an application, you can add the application to the excludes list. By using "Add" you can select your application. Yo can also delete an application from the list.

·


Scheduled Scan

Scheduled Scan

In the list you can see the scheduled scans that are set and you can edit or delete them.

In order to configure scan tasks, click on “Add” button and specify name, type of scan (full, quick, custom) and scheduled type (Hourly, Daily, Weekly, Once).

If you select “hourly”, you will observe the window shown below. For example, you can set scan task at 12:00 and every hour scan task will start automatically.

If you select “Daily”, you will observe the window shown below. For example, you can set scan task every 3 days at 18:00 and scan task will start automatically.

If you select weekly, you will observe the window shown below. For example, you can set scan task every Saturday at 06:00 and scan task will start automatically.

If you select once, you will observe the window shown below. For example, you can set scan task once at 10:00 and scan task will start automatically.


Quarantine

Quarantine Settings

When a malware is detected or cleaned, Padvish can store a copy of its files in quarantine for later reference.

In order to configure quarantine settings you can do the followings:

· Maximum count: to specify the maximum number of quarantined files.

· Maximum size: to specify the maximum size of disk space to use by quarantined files.

· If a limit is reached: in case of exceeding above limits, specify to stop sending files to quarantine or delete old quarantined files.


Network Settings

Settings >

Network Settings

Network Settings

  • Firewall
  • Intrusion Prevention
  • Padvish Cloud
  • Proxy


Firewall

Firewall

You can configure the Firewall settings here and it contains:

· Enable/disable the firewall

You can enable or disable the firewall here.

· Choose the current profile

You can set here a default network profile that if connecting to a new network. You can choose from these options:

· Public

· Office

· Home

· Edit Profiles: By clicking this, you can edit profiles.

· Network Profile Settings

· Application Rules

· Packet Rules


Network Profile Settings

Network profile Settings

In order to configure network profile, you should select "Edit Profiles" from the current profile panel:

  • Add new profile: Click on "Add" button. Then you put a name and description for new profile.
  • Edit/Delete Profile: to edit or delete current profile, Click on the current profile and select edit or delete.
  • Use as active: By selecting a profile and click on "use as active" button you can set it as active profile.
  • If a new network is found: In this section you determine if connecting to a new network profile, a type of profile is chosen or ask the user.

Networks: By clicking on any profile, You can view networks and details including IP, Net Mask, and Gateway. If necessary you can delete each network.


Application Rules

Application Rules

By clicking on "Application rules" you can create or edit rules in application layer.

You can view information concerning defined rules by users and it consist application name and decision.By clicking on a rule you can see its information on the bottom of the table. In the right part of the window, you can use up or down buttons to change priority of the rules. Also you can use Add, Edit and delete buttons to add/edit or delete the profile. Clicking Add, you observe the following items:

· Name: to put a name for the rule.

· Application: to select location and path of the rule file.

· Windows Kernel: Set the rule for windows kernel.

· Decision: to show the decision made for the event.

· Direction: to show the direction of the event’s traffic. From inside to outside and vice versa.

· Protocol: to choose one of the following options: IP, ICMP, UDP, TCP

· Remote port: to select port number.

· Local port: to select local address.

· Remote address: to select remote address.

· Log: to select you want to save the log of the rule. You can view a report of the rule in “Reports” window.


Packet Rules

Packet Rules

· By Clicking on “packet rules” link at the bottom of the table of application rules, you can create or edit rules in packet layer.

You can view information concerning defined rules by users and it consist rule name and decision. By clicking on a rule you can see its information on the bottom of the table. In the right part of the window, you can use up or down buttons to change priority of the rules. Also you can use Add, Edit and delete buttons to add/edit or delete the profile. Clicking Add, you observe the following items:

· Name: to put a name for the rule.

· Decision: to choose the decision made for the event.

· Direction: to choose the direction of the event’s traffic. From inside to outside and vice versa.

· Protocol: to choose one of the following options: IP, ICMP, UDP, TCP

· Remote port: to select port number.

· Local port: to select local port.

· Remote address: to select remote address

· Local address: to select local address


Intrusion Prevention

Intrusion Prevention

Intrusion prevention system protects your computer against network attacks.

You can configure the intrusion prevention settings here :

· Enable/disable the intrusion prevention

You can enable or disable the prevention system. This option is active by default.

In order to activate the prevention capability, you need to start Firewall to work first. The prevention system can detect virus attacks, port scan, syn flood and fragmented packets.


Padvish Cloud

Padvish Cloud

By enabling Padvish cloud, you allow Padvish to detect new threats faster, and improve security for all users of padvish.

You can configure the Padvish cloud setting here:

· Enable/disable the Padvish cloud

You can enable or disable the Padvish Cloud. This option is active by default.


Proxy

Proxy

If you use a proxy server to connect to the internet, you can configure it here:

If you select “Connect using proxy server”, specify proxy type, address and port number. Select "Requires authentication" if username/password is necessary.


Alerts and Reports

Settings >

Alerts and Reports

Alerts And Reports Settings

  • Alerts
  • Reports


Alerts

Alerts

In this section you can configure alerts and notificatins that Padvish displays:

In order to manage the Alert function, select Alerts and define time.


Reports

Reports

This controls what events Padvish stores in logs.

All actions performed by the application or its components are registered in the Report.

· Maximum report count: to specify the maximum number of reports in your system.

· Delete reports older than: to delete old reports based on date.

· Logging of the requested:

· Logging firewall events

· Logging intrusion prevention system events

· Logging device control events

· Logging system events

· Logging performed scans

· Logging detected threats


Advanced

Settings >

Advanced

Advanced

Advanced settings consist of the following:

· Password

· Configuration backup and restore


Password

Password

To protect your settings from unauthorized changes, you can password protect them.

· Enable/Disable password

By enabling password button, the “set new password” window will be opened. You must enter new password and confirm it.

After you set password, to do any settings you must enter password.


Configuration backup and restore

Configuration backup and Restore Settings

In this section you can backup your current configuration to a file, or restore settings from a file you have previousely saved.

By clicking on “Backup Configurations”, you must select path you want to save file in.

For import settings, click on “Restore configuration” and select pcf path.


Information about Third-party Component

Information About Third-Party Components

This section is about third-party component:

· BeaEngine

· bsdiff

· bzlib

· CryptoPP 5.6.0

· Curl 7.21.6

· dirent.h

· hde32

· Lua

· NSIS

· ntstatstr.h

· OpenSSL

· Qt

· Sqlite3

· zlib


Third-Party Licenses

Information about Third-party Component >

Third-Party Licenses

Third-Party Component

· BeaEngine

This library is released under LGPL license. That means you can use it in your projects even if they are under free or proprietary licenses. You don't have to modify your license (if there is one) and you don't have to publish your source code. But, if you improve BeaEngine, you have to publish the modified library under one of the following license: LGPL or GPL.

====================================================================

· bsdiff

Copyright 2003-2005 Colin Percival

Copyright 2012 Matthew Endsley

All rights reserved

Redistribution and use in source and binary forms, with or without modification, are permitted providing that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

====================================================================

· bzlib

Copyright (C) 1996-2002 Julian R Seward. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

3. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

4. The name of the author may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

====================================================================

· CryptoPP

Compilation Copyright (c) 1995-2009 by Wei Dai. All rights reserved.

This copyright applies only to this software distribution package as a compilation, and does not imply a copyright on any particular file in the package.

The following files are copyrighted by their respective original authors,and their use is subject to additional licenses included in these files.

mars.cpp - Copyright 1998 Brian Gladman.

All other files in this compilation are placed in the public domain byWei Dai and other contributors.

I would like to thank the following authors for placing their works into the public domain:

Joan Daemen - 3way.cpp

Leonard Janke - cast.cpp, seal.cpp

Steve Reid - cast.cpp

Phil Karn - des.cpp

Andrew M. Kuchling - md2.cpp, md4.cpp

Colin Plumb - md5.cpp

Seal Woods - rc6.cpp

Chris Morgan - rijndael.cpp

Paulo Baretto - rijndael.cpp, skipjack.cpp, square.cpp

Richard De Moliner - safer.cpp

Matthew Skala - twofish.cpp

Kevin Springle - camellia.cpp, shacal2.cpp, ttmac.cpp, whrlpool.cpp, ripemd.cpp

Permission to use, copy, modify, and distribute this compilation for any purpose, including commercial applications, is hereby granted without fee, subject to the following restrictions:

1. Any copy or modification of this compilation in any form, except in object code form as part of an application software, must include the above copyright notice and this license.

2. Users of this software agree that any modification or extension they provide to Wei Dai will be considered public domain and not copyrighted unless it includes an explicit copyright notice.

3. Wei Dai makes no warranty or representation that the operation of the software in this compilation will be error-free, and Wei Dai is under no obligation to provide any services, by way of maintenance, update, or otherwise.

THE SOFTWARE AND ANY DOCUMENTATION ARE PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL WEI DAI OR ANY OTHER CONTRIBUTOR BE LIABLE FOR DIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

4. Users will not use Wei Dai or any other contributor's name in any publicity or advertising, without prior written consent in each case.

5. Export of this software from the United States may require a specific license from the United States Government. It is the responsibility of any person or organization contemplating export to obtain such a license before exporting.

6. Certain parts of this software may be protected by patents. It is the users' responsibility to obtain the appropriate licenses before using those parts.

If this compilation is used in object code form in an application software, acknowledgement of the author is not required but would be appreciated. The contribution of any useful modifications or extensions to Wei Dai is not required but would also be appreciated.

====================================================================

· CURL

COPYRIGHT AND PERMISSION NOTICE Copyright (c) 1996 - 2009, Daniel Stenberg, <daniel@haxx.se>. All rights reserved.

Permission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER IABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE OFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote the sale, use or other ealings in this Software without prior written authorization of the copyright holder.

====================================================================

· Dirent.h

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the ``Software''), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED ``AS IS'', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL TONI RONKKO BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE

====================================================================

· hde32

Hacker Disassembler Engine 32

Copyright (c) 2006-2009, Vyacheslav Patkov.

All rights reserved.

====================================================================

· Lua

Lua is free software distributed under the terms of the MIT license reproduced below. Lua may be used for any purpose, including commercial purposes, at absolutely no cost. No paperwork, no royalties, no GNU-like "copyleft" restrictions, either. Just download it and use it.

Lua is certified Open Source software. Its license is compatible with GPL. Lua is not in the public domain and PUC-Rio keeps its copyright. The spirit of the Lua license is that you are free to use Lua for any purpose at no cost without having to ask us. The only requirement is that if you do use Lua, then you should give us credit by including the copyright notice somewhere in your product or its documentation. A nice, but optional, way to give us further credit is to include a Lua logo and a link to our site in a web page for your product. The Lua language is entirely designed, implemented, and maintained by a team at PUC-Rio in Brazil. The implementation is not derived from licensed software.

Copyright © 1994–2012 Lua.org, PUC-Rio.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Before Lua 5.0, Lua used its own license, which were very close to the zlib license and others, but not quite the same. Check the source distribution for the exact license text for each version before Lua 5.0. Nevertheless, if you wish to use those old versions, you may hereby assume that they have all been re-licensed under the MIT license.

====================================================================

· NSIS

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.

====================================================================

· Ntstatstr.h

(C) Copyright 1995 - 2005 OSR Open Systems Resources, Inc.

All Rights Reserved

This sofware is supplied for instructional purposes only.

OSR Open Systems Resources, Inc. (OSR) expressly disclaims any warranty for this software.

THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, ITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MECHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK ARISING FROM THE USE OF THIS SOFTWARE REMAINS WITH YOU.

OSR's entire liability and your exclusive remedy shall not exceed the price paid for this material. In no event shall OSR or its suppliers be liable for any damages whatsoever (including, without limitation, damages for loss of business profit, business interruption, loss of business information, or any other pecuniary loss) arising out of the use or inability to use this software, even if OSR has been advised of the possibility of such damages. Because some states/ jurisdictions do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you.

OSR Open Systems Resources, Inc.

105 Route 101A Suite 19

Amherst, NH 03031 (603) 595-6500 FAX: (603) 595-6503

====================================================================

· OpenSSL

Copyright (c) 1998-2011 The OpenSSL Project.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software must display the following acknowledgment::

"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)"

4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to endorse or promote products derived from this software without prior written permission. For written permission, please contact openssl-core@openssl.org.

5. Products derived from this software may not be called "OpenSSL" nor may "OpenSSL" appear in their names without prior written permission of the OpenSSL Project.

6. Redistributions of any form whatsoever must retain the following acknowledgment:

"This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)"

THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OpenSSL PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

====================================================================

· Qt

Qt is licensed under a commercial and open source license (GNU Lesser General Public License version 2.1).

====================================================================

· SQLite3

SQLite Copyright

All of the deliverable code in SQLite has been dedicated to the public domain by the authors. All code authors, and representatives of the companies they work for, have signed affidavits dedicating their contributions to the public domain and originals of those signed affidavits are stored in a firesafe at the main offices of Hwaci. Anyone is free to copy, modify, publish, use, compile, sell, or distribute the original SQLite code, either in source code form or as a compiled binary, for any purpose, commercial or non-commercial, and by any means.

The previous paragraph applies to the deliverable code in SQLite - those parts of the SQLite library that you actually bundle and ship with a larger application. Portions of the documentation and some code used as part of the build process might fall under other licenses. The details here are unclear. We do not worry about the licensing of the documentation and build code so much because none of these things are part of the core deliverable SQLite library.

All of the deliverable code in SQLite has been written from scratch. No code has been taken from other projects or from the open internet. Every line of code can be traced back to its original author, and all of those authors have public domain dedications on file. So the SQLite code base is clean and is uncontaminated with licensed code from other projects.

====================================================================

· Zlib

zlib general purpose compression library

version 1.2.8, April 28th, 2013

Copyright (C) 1995-2013 Jean-loup Gailly and Mark Adler

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.


GNU Lesser General Public License

GNU Lesser General Public License

GNU LESSER GENERAL PUBLIC LICENSE

Version 2.1, February 1999 Copyright (C) 1991, 1999 Free Software Foundation, Inc.

51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Everyone is permitted to copy and distribute verbatim copies of this license document, but changing it is not allowed.

[This is the first released version of the Lesser GPL. It also counts as the successor of the GNU Library Public License, version 2, hence the version number 2.1.]

Preamble

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public Licenses are intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users.

This license, the Lesser General Public License, applies to some specially designated software packages--typically libraries--of the Free Software Foundation and other authors who decide to use it. You can use it too, but we suggest you first think carefully about whether this license or the ordinary General Public License is the better strategy to use in any particular case, based on the explanations below.

When we speak of free software, we are referring to freedom of use, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish); that you receive source code or can get it if you want it; that you can change the software and use pieces of it in new free programs; and that you are informed that you can do these things.

To protect your rights, we need to make restrictions that forbid distributors to deny you these rights or to ask you to surrender these rights. These restrictions translate to certain responsibilities for you if you distribute copies of the library or if you modify it.

For example, if you distribute copies of the library, whether gratis or for a fee, you must give the recipients all the rights that we gave you. You must make sure that they, too, receive or can get the source code. If you link other code with the library, you must provide complete object files to the recipients, so that they can relink them with the library after making changes to the library and recompiling it. And you must show them these terms so they know their rights.

We protect your rights with a two-step method: (1) we copyright the library, and (2) we offer you this license, which gives you legal permission to copy, distribute and/or modify the library.

To protect each distributor, we want to make it very clear that there is no warranty for the free library. Also, if the library is modified by someone else and passed on, the recipients should know that what they have is not the original version, so that the original author's reputation will not be affected by problems that might be introduced by others.

Finally, software patents pose a constant threat to the existence of any free program. We wish to make sure that a company cannot effectively restrict the users of a free program by obtaining a restrictive license from a patent holder. Therefore, we insist that any patent license obtained for a version of the library must be consistent with the full freedom of use specified in this license.

Most GNU software, including some libraries, is covered by the ordinary GNU General Public License. This license, the GNU Lesser General Public License, applies to certain designated libraries, and is quite different from the ordinary General Public License. We use this license for certain libraries in order to permit linking those libraries into non-free programs.

When a program is linked with a library, whether statically or using a shared library, the combination of the two is legally speaking a combined work, a derivative of the original library. The ordinary General Public License therefore permits such linking only if the entire combination fits its criteria of freedom. The Lesser General Public License permits more lax criteria for linking other code with the library.

We call this license the "Lesser" General Public License because it does Less to protect the user's freedom than the ordinary General Public License. It also provides other free software developers Less of an advantage over competing non-free programs. These disadvantages are the reason we use the ordinary General Public License for many libraries. However, the Lesser license provides advantages in certain special circumstances.

For example, on rare occasions, there may be a special need to encourage the widest possible use of a certain library, so that it becomes a de-facto standard. To achieve this, non-free programs must be allowed to use the library. A more frequent case is that a free library does the same job as widely used non-free libraries. In this case, there is little to gain by limiting the free library to free software only, so we use the Lesser General Public License.

In other cases, permission to use a particular library in non-free programs enables a greater number of people to use a large body of free software. For example, permission to use the GNU C Library in non-free programs enables many more people to use the whole GNU operating system, as well as its variant, the GNU/Linux operating system.

Although the Lesser General Public License is Less protective of the users' freedom, it does ensure that the user of a program that is linked with the Library has the freedom and the wherewithal to run that program using a modified version of the Library.

The precise terms and conditions for copying, distribution and modification follow. Pay close attention to the difference between a "work based on the library" and a "work that uses the library". The former contains code derived from the library, whereas the latter must be combined with the library in order to run.

GNU LESSER GENERAL PUBLIC LICENSE TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License Agreement applies to any software library or other program which contains a notice placed by the copyright holder or other authorized party saying it may be distributed under the terms of this Lesser General Public License (also called "this License"). Each licensee is addressed as "you".

A "library" means a collection of software functions and/or data prepared so as to be conveniently linked with application programs (which use some of those functions and data) to form executables.

The "Library", below, refers to any such software library or work which has been distributed under these terms. A "work based on the Library" means either the Library or any derivative work under copyright law: that is to say, a work containing the Library or a portion of it, either verbatim or with modifications and/or translated straightforwardly into another language. (Hereinafter, translation is included without limitation in the term "modification".)

"Source code" for a work means the preferred form of the work for making modifications to it. For a library, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the library.

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running a program using the Library is not restricted, and output from such a program is covered only if its contents constitute a work based on the Library (independent of the use of the Library in a tool for writing it). Whether that is true depends on what the Library does and what the program that uses the Library does.

1. You may copy and distribute verbatim copies of the Library's complete source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and distribute a copy of this License along with the Library.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Library or any portion of it, thus forming a work based on the Library, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) The modified work must itself be a software library.

b) You must cause the files modified to carry prominent notices stating that you changed the files and the date of any change.

c) You must cause the whole of the work to be licensed at no charge to all third parties under the terms of this License.

d) If a facility in the modified Library refers to a function or a table of data to be supplied by an application program that uses the facility, other than as an argument passed when the facility is invoked, then you must make a good faith effort to ensure that, in the event an application does not supply such function or table, the facility still operates, and performs whatever part of its purpose remains meaningful.

(For example, a function in a library to compute square roots has a purpose that is entirely well-defined independent of the application. Therefore, Subsection 2d requires that any application-supplied function or table used by this function must be optional: if the application does not supply it, the square root function must still compute square roots.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Library, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Library, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Library.

In addition, mere aggregation of another work not based on the Library with the Library (or with a work based on the Library) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may opt to apply the terms of the ordinary GNU General Public License instead of this License to a given copy of the Library. To do this, you must alter all the notices that refer to this License, so that they refer to the ordinary GNU General Public License, version 2, instead of to this License. (If a newer version than version 2 of the ordinary GNU General Public License has appeared, then you can specify that version instead if you wish.) Do not make any other change in these notices.

Once this change is made in a given copy, it is irreversible for that copy, so the ordinary GNU General Public License applies to all subsequent copies and derivative works made from that copy.

This option is useful when you wish to copy part of the code of the Library into a program that is not a library.

4. You may copy and distribute the Library (or a portion or derivative of it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange.

If distribution of object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place satisfies the requirement to distribute the source code, even though third parties are not compelled to copy the source along with the object code.

5. A program that contains no derivative of any portion of the Library, but is designed to work with the Library by being compiled or linked with it, is called a "work that uses the Library". Such a work, in isolation, is not a derivative work of the Library, and therefore falls outside the scope of this License.

However, linking a "work that uses the Library" with the Library creates an executable that is a derivative of the Library (because it contains portions of the Library), rather than a "work that uses the library". The executable is therefore covered by this License. Section 6 states terms for distribution of such executables.

When a "work that uses the Library" uses material from a header file that is part of the Library, the object code for the work may be a derivative work of the Library even though the source code is not. Whether this is true is especially significant if the work can be linked without the Library, or if the work is itself a library. The threshold for this to be true is not precisely defined by law.

If such an object file uses only numerical parameters, data structure layouts and accessors, and small macros and small inline functions (ten lines or less in length), then the use of the object file is unrestricted, regardless of whether it is legally a derivative work. (Executables containing this object code plus portions of the Library will still fall under Section 6.)

Otherwise, if the work is a derivative of the Library, you may distribute the object code for the work under the terms of Section 6. Any executables containing that work also fall under Section 6, whether or not they are linked directly with the Library itself.

6. As an exception to the Sections above, you may also combine or link a "work that uses the Library" with the Library to produce a work containing portions of the Library, and distribute that work under terms of your choice, provided that the terms permit modification of the work for the customer's own use and reverse engineering for debugging such modifications.

You must give prominent notice with each copy of the work that the Library is used in it and that the Library and its use are covered by this License. You must supply a copy of this License. If the work during execution displays copyright notices, you must include the copyright notice for the Library among them, as well as a reference directing the user to the copy of this License. Also, you must do one of these things:

a) Accompany the work with the complete corresponding machine-readable source code for the Library including whatever changes were used in the work (which must be distributed under Sections 1 and 2 above); and, if the work is an executable linked with the Library, with the complete machine-readable "work that uses the Library", as object code and/or source code, so that the user can modify the Library and then relink to produce a modified executable containing the modified Library. (It is understood that the user who changes the contents of definitions files in the Library will not necessarily be able to recompile the application to use the modified definitions.)

b) Use a suitable shared library mechanism for linking with the Library. A suitable mechanism is one that (1) uses at run time a copy of the library already present on the user's computer system, rather than copying library functions into the executable, and (2) will operate properly with a modified version of the library, if the user installs one, as long as the modified version is interface-compatible with the version that the work was made with.

c) Accompany the work with a written offer, valid for at least three years, to give the same user the materials specified in Subsection 6a, above, for a charge no more than the cost of performing this distribution.

d) If distribution of the work is made by offering access to copy from a designated place, offer equivalent access to copy the above specified materials from the same place.

e) Verify that the user has already received a copy of these materials or that you have already sent this user a copy.

For an executable, the required form of the "work that uses the Library" must include any data and utility programs needed for reproducing the executable from it. However, as a special exception, the materials to be distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

It may happen that this requirement contradicts the license restrictions of other proprietary libraries that do not normally accompany the operating system. Such a contradiction means you cannot use both them and the Library together in an executable that you distribute.

7. You may place library facilities that are a work based on the Library side-by-side in a single library together with other library facilities not covered by this License, and distribute such a combined library, provided that the separate distribution of the work based on the Library and of the other library facilities is otherwise permitted, and provided that you do these two things:

a) Accompany the combined library with a copy of the same work based on the Library, uncombined with any other library facilities. This must be distributed under the terms of the Sections above.

b) Give prominent notice with the combined library of the fact that part of it is a work based on the Library, and explaining where to find the accompanying uncombined form of the same work.

8. You may not copy, modify, sublicense, link with, or distribute the Library except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense, link with, or distribute the Library is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

9. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Library or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Library (or any work based on the Library), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Library or works based on it.

10. Each time you redistribute the Library (or any work based on the Library), the recipient automatically receives a license from the original licensor to copy, distribute, link with or modify the Library subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties with this License.

11. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Library at all. For example, if a patent license would not permit royalty-free redistribution of the Library by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Library.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply, and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

12. If the distribution and/or use of the Library is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Library under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

13. The Free Software Foundation may publish revised and/or new versions of the Lesser General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Library specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Library does not specify a license version number, you may choose any version ever published by the Free Software Foundation.

14. If you wish to incorporate parts of the Library into other free programs whose distribution conditions are incompatible with these, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

15. BECAUSE THE LIBRARY IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE LIBRARY, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE LIBRARY "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE LIBRARY IS WITH YOU. SHOULD THE LIBRARY PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

16. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE LIBRARY AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE LIBRARY (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE LIBRARY TO OPERATE WITH ANY OTHER SOFTWARE), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Libraries

If you develop a new library, and you want it to be of the greatest possible use to the public, we recommend making it free software that everyone can redistribute and change. You can do so by permitting redistribution under these terms (or, alternatively, under the terms of the ordinary General Public License).

To apply these terms, attach the following notices to the library. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the "copyright" line and a pointer to where the full notice is found.

<one line to give the library's name and a brief idea of what it does.>

Copyright (C) <year> <name of author>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Also add information on how to contact you by electronic and paper mail.

You should also get your employer (if you work as a programmer) or your school, if any, to sign a "copyright disclaimer" for the library, if necessary. Here is a sample; alter the names:

Yoyodyne, Inc., hereby disclaims all copyright interest in the library `Frob' (a library for tweaking knobs) written by James Random Hacker.

<signature of Ty Coon>, 1 April 1990 Ty Coon,

President of Vice

That's all there is to it!.


Uninstalling the Application

Uninstalling the Application

· How to uninstall the software

· Perform a complete uninstall


How to uninstall the Software

Uninstalling the Application >

How to uninstall the Software

How to uninstall the software

Uninstalling an antivirus application can put your computer at risk. Then a message will ask if you are sure to remove the application. In order to remove Padvish do one of the following:

• Select and click Uninstaller file

• In windows XP control panel click on “Add or Remove programs”. Select Padvish and click on “change/remove”.

• In windows 7 control panel click on “Programs and Features”. Select Padvish and click on “Uninstall”.

• In windows 10 control panel click on “Programs and Features”. Select Padvish and click on “Uninstall”.

All files and folder of the application except Quarantine will be removed after uninstalling Padvish. Reboot your computer to finalize the removing process.


Perform a complete uninstall

Uninstalling the Application >

Perform a complete uninstall

Perform a Complete Uninstall

All related files of the software will be removed from your system.

As a final step, you are asked to restart your computer.


Technical Support

Technical support

Padvish technical support team stands ready to assist you with all of your technical questions. You can reach us through following email and phone number:

Email: support@amnpardaz.com

Phone: +98 (21) 43912000

You can also send us your technical problems through the following address by using your username/password.

http://support.amnpardaz.com

Amnpardaz forum is also a place for you to post your own stories and comments:

http://forum.amnpardaz.com

For more information about other products you can see:

http://www.padvish.com

http://www.amnpardaz.com